<?php

namespace Database\Seeders\Modules;

use Illuminate\Database\Seeder;
use Illuminate\Support\Str;

use App\Models\Hotel\Room;

class BookingEngineSeeder extends Seeder
{

    /**
     * Run the database seeds.
     */
    public function run(): void
    {
      //* Data to Update
        // Rooms
          // Assign External UUID
            Room::whereNull('ical_token')->whereNot('id', 1) ->get()
                ->each(function ($room) {
                    $room->update([ 'ical_token' => Str::uuid() ]);
                });
    }
}
